#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xc19decdb, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x9b64a8c8, "");
SYMBOL_CRC(team_options_register, 0x3a39e874, "");
SYMBOL_CRC(team_options_unregister, 0xbee6a3cb, "");
SYMBOL_CRC(team_option_inst_set_change, 0x2bd135f7, "");
SYMBOL_CRC(team_options_change_check, 0xea56775b, "");
SYMBOL_CRC(team_mode_register, 0x46e9862b, "");
SYMBOL_CRC(team_mode_unregister, 0xf1e054d6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbbc6cd39, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd35d83a7, "netlink_unicast" },
	{ 0xff579c23, "netif_carrier_on" },
	{ 0xee7ad43f, "netif_carrier_off" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdd44773d, "dev_set_promiscuity" },
	{ 0xc8f61b2d, "dev_set_allmulti" },
	{ 0x8be6b9, "dev_uc_unsync" },
	{ 0x306de852, "dev_mc_unsync" },
	{ 0x4c268c08, "dev_set_mtu" },
	{ 0xe6ef4371, "netdev_err" },
	{ 0xb8834333, "__dynamic_netdev_dbg" },
	{ 0xdf9392d6, "dev_kfree_skb_any_reason" },
	{ 0x639c8b92, "dev_uc_sync_multiple" },
	{ 0xf8ed2d1, "dev_mc_sync_multiple" },
	{ 0xa633e270, "vlan_vid_del" },
	{ 0x5f1ddf9a, "vlan_vid_add" },
	{ 0x66daae28, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0xaf11a6a, "genlmsg_put" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xf796abea, "register_netdevice" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb1feb9b8, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x947905b7, "rtnl_link_register" },
	{ 0x880c0337, "genl_register_family" },
	{ 0xd99acc5d, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x49aa6f34, "genl_unregister_family" },
	{ 0x2d4b27ef, "__dev_queue_xmit" },
	{ 0x5890e575, "netpoll_send_skb" },
	{ 0x3a68f535, "netlink_broadcast_filtered" },
	{ 0xfbdb5f97, "skb_clone" },
	{ 0xf8023c43, "consume_skb" },
	{ 0x4370dc82, "netdev_lower_state_changed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0xc7425c4b, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x94fd0c86, "__netpoll_free" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8bc174f3, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc2ae37ea, "dev_get_by_index" },
	{ 0xf00a075f, "nla_put" },
	{ 0xc3158f9a, "skb_trim" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa8a94149, "__nlmsg_put" },
	{ 0x9a48fba5, "__ethtool_get_link_ksettings" },
	{ 0x831df758, "netdev_warn" },
	{ 0xb73190ee, "try_module_get" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdc663f99, "netdev_info" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x981bbe8e, "netdev_has_upper_dev" },
	{ 0x7bdb39ab, "dev_uc_flush" },
	{ 0xea42b78a, "dev_mc_flush" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9f84cdf7, "dev_open" },
	{ 0x61211fe3, "vlan_uses_dev" },
	{ 0x845fad84, "vlan_vids_add_by_dev" },
	{ 0x5a0c85b7, "netdev_rx_handler_register" },
	{ 0xdb7fe05, "netdev_master_upper_dev_link" },
	{ 0x44cc5f29, "netdev_upper_dev_unlink" },
	{ 0x409f36ef, "netdev_rx_handler_unregister" },
	{ 0x44b65abc, "vlan_vids_del_by_dev" },
	{ 0x2e06f2d5, "dev_close" },
	{ 0x4c7001b2, "dev_disable_lro" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e37750a, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x82112a02, "passthru_features_check" },
	{ 0x6e049de5, "ethtool_op_get_link" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "705C3AD88DCFCCD841E4641");
MODULE_INFO(rhelversion, "9.6");
