#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0xcd87d5d1, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0xd5de566f, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0xcccd9f13, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x6c5f42b8, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x5d184a7b, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x93fc9323, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xe5d62c8f, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x798c835e, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xcc4e6373, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x1fef9bfa, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x88acc226, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x4dc1a151, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xc5edd692, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x094d2a86, "_gpl");
SYMBOL_CRC(qeth_poll, 0x8ae045bf, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x568a843c, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xf92e3573, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0xa9fde4ec, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x40244ea2, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0xe95d6bb6, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x890bae61, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0xbb84726c, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x35407bf3, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x68429002, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x91dbdaf6, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x992376b6, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x6b517739, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0xb5874e4f, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x452b27a8, "_gpl");
SYMBOL_CRC(qeth_open, 0x6f105ca2, "_gpl");
SYMBOL_CRC(qeth_stop, 0xa1fcb5ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f629d38, "ccw_device_get_cssid" },
	{ 0x36feb99d, "napi_alloc_skb" },
	{ 0xbf7d1999, "alloc_etherdev_mqs" },
	{ 0xc73ec345, "ccw_device_halt" },
	{ 0xd629c032, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x9d4bcb0, "qdio_shutdown" },
	{ 0x800ca8b3, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x94e43d64, "ccwgroup_set_offline" },
	{ 0xed141a89, "vmemmap" },
	{ 0x17ccbdad, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x73693559, "skb_copy_bits" },
	{ 0x91a1bf52, "qdio_allocate" },
	{ 0x54ca43bc, "qdio_inspect_output_queue" },
	{ 0x8014806d, "skb_put" },
	{ 0xf2e24af4, "skb_tstamp_tx" },
	{ 0xa5d28a31, "netdev_update_features" },
	{ 0xf8023c43, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xfabf7153, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8c1cbd9, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd80f029f, "skb_add_rx_frag" },
	{ 0x88a1c1b6, "debug_set_level" },
	{ 0xe0688815, "register_service_level" },
	{ 0x569031f9, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf1bbdcd4, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4a3617f2, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfb2be91c, "qdio_add_bufs_to_output_queue" },
	{ 0xd2d6a054, "__netif_napi_del" },
	{ 0x2a48c42, "kmem_cache_create" },
	{ 0x1efeea3d, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xb1feb9b8, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaaf31e4e, "qdio_get_ssqd_desc" },
	{ 0xd137ec35, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa2efb10f, "pskb_expand_head" },
	{ 0xff237440, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xc0903b3, "eth_type_trans" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xce9fe981, "napi_complete_done" },
	{ 0x91ce8070, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x950bba2f, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x173085f4, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2a25ed79, "put_device" },
	{ 0x50ed5063, "__napi_schedule" },
	{ 0x957b5837, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc27c9809, "netif_device_detach" },
	{ 0x8d825d95, "__free_pages" },
	{ 0x6ff7d8e7, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6708b7f9, "_dev_info" },
	{ 0x9fefaec0, "napi_gro_receive" },
	{ 0x7111a3d6, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfd7f3d30, "ccwgroup_probe_ccwdev" },
	{ 0x54a979e6, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd0cab79e, "_dev_err" },
	{ 0xe99e91af, "softnet_data" },
	{ 0x7a37e1e8, "ccw_device_get_id" },
	{ 0x70434623, "__root_device_register" },
	{ 0xef5da6cf, "ccw_device_get_ciw" },
	{ 0x10b96fa, "netif_set_real_num_tx_queues" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0x4c045ee4, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3d0711f0, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6a7d3e0b, "skb_push" },
	{ 0xf3d910dc, "kmem_cache_free" },
	{ 0xd9a9c8b6, "ccwgroup_driver_register" },
	{ 0x8622d402, "debugfs_remove" },
	{ 0xacaa41c3, "napi_enable" },
	{ 0x98bc4e78, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4c1de3bb, "__debug_sprintf_event" },
	{ 0x6e049de5, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc42f1d0c, "netif_tx_stop_all_queues" },
	{ 0x8b46b588, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xce0b450f, "ccw_device_set_offline" },
	{ 0x118f650a, "_dev_warn" },
	{ 0xf355fb5f, "ccw_driver_register" },
	{ 0x68bca389, "netif_schedule_queue" },
	{ 0xd83c5bea, "__alloc_pages" },
	{ 0x7468c803, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0xc51e5630, "netdev_set_tc_queue" },
	{ 0xe0d91558, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x475260cc, "__pskb_pull_tail" },
	{ 0x74949472, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c2555d1, "kthread_create_on_node" },
	{ 0x6ff75260, "debug_hex_ascii_view" },
	{ 0x57cc72f2, "debug_unregister" },
	{ 0x6054f0c1, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xa976ae2a, "ccwgroup_driver_unregister" },
	{ 0x110f8286, "ccwgroup_remove_ccwdev" },
	{ 0xa79e4b0, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa1c947eb, "ccw_device_get_iid" },
	{ 0xbadde9e2, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee7ad43f, "netif_carrier_off" },
	{ 0x656eb398, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8be0434f, "ccw_device_set_online" },
	{ 0xdf8122e7, "netdev_set_num_tc" },
	{ 0xd195e546, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa088dcef, "single_release" },
	{ 0x316dfdc6, "qdio_add_bufs_to_input_queue" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0xa38c195b, "__napi_schedule_irqoff" },
	{ 0x328fef6e, "napi_schedule_prep" },
	{ 0x1268c6e, "napi_consume_skb" },
	{ 0x1c9aff80, "debug_sprintf_view" },
	{ 0x49add00e, "qdio_stop_irq" },
	{ 0x70df1607, "napi_disable" },
	{ 0x87e7ba, "qdio_free" },
	{ 0x194299b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x9861055f, "debugfs_create_dir" },
	{ 0x2d948f8d, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x1ad06f50, "ccw_driver_unregister" },
	{ 0x5ade169a, "skb_clone_tx_timestamp" },
	{ 0x25fbd017, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd8e1da84, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9e24b39, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "FBC9028ACD69E705172FA0A");
MODULE_INFO(rhelversion, "9.6");
