#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x035a49d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x735c9e45, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x9ffefd63, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xa8e1e073, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x29bd4f22, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x0910c216, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xaeb420d4, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xc66fd2d3, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x89083358, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x9dd5d4fa, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x3d995e6b, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xb4ed2ec3, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xbaf925ef, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xf8315812, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x4985fd15, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xb94e9c84, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x84795bd1, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x1d0fad17, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xbccad9fc, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x6cdad640, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x9fadfa62, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xce45de5a, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x1bfdeede, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xaac4dd48, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xd142002e, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xa49c7f02, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xc54fb284, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x65a635de, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xe29eb159, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x7a8ae75d, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x0fd372c5, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x775e0aff, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x374dde45, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x5c5ff836, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xcbf76770, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x32f2d0fb, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x92f1b577, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x881e7f41, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x73ce60bc, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x2db650e7, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x07e6d4e7, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xfe5f2d90, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x9d1fafe4, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xdbc794e4, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xdb8031ad, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x14509a17, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xf5c6fe3f, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xbd7dfbe3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x37352714, "perf_trace_run_bpf_submit" },
	{ 0x201d75bb, "trace_event_buffer_reserve" },
	{ 0x6f060c4, "trace_event_buffer_commit" },
	{ 0xd2cf4d24, "event_triggers_call" },
	{ 0x8f3741fe, "trace_event_ignore_this_pid" },
	{ 0xcb3c1edc, "trace_raw_output_prep" },
	{ 0xf49df05f, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa853ccce, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x2a25ed79, "put_device" },
	{ 0x3ee869d3, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xadb7f521, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x1efeea3d, "get_device" },
	{ 0x818269fa, "device_find_child" },
	{ 0xa642feac, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9641127e, "dev_printk" },
	{ 0xda714d14, "scsi_target_unblock" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xee761446, "netlink_kernel_release" },
	{ 0xa8f76d82, "bus_unregister" },
	{ 0xfaa64a82, "transport_class_unregister" },
	{ 0x2d4e4a4f, "class_unregister" },
	{ 0x2881c1be, "class_register" },
	{ 0xa6165b61, "transport_class_register" },
	{ 0xb5f4693c, "bus_register" },
	{ 0xf912eef3, "init_net" },
	{ 0x88df75dc, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7699f983, "scsi_host_get" },
	{ 0xa3ba949, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x84009283, "scsi_init_limits" },
	{ 0x7d13249f, "bsg_setup_queue" },
	{ 0x3a68f535, "netlink_broadcast_filtered" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0xa8a94149, "__nlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc3379b0, "scsi_is_host_device" },
	{ 0x75a5d446, "bsg_remove_queue" },
	{ 0xfb78087, "scsi_host_put" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8ff53c2c, "bsg_job_done" },
	{ 0x9b1c9485, "scsi_host_lookup" },
	{ 0xc3158f9a, "skb_trim" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x157f3d47, "transport_remove_device" },
	{ 0xe209d4be, "transport_destroy_device" },
	{ 0x1c1d95dd, "device_del" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0x33f9b987, "dev_set_name" },
	{ 0x9875a67b, "device_register" },
	{ 0x32045f0b, "sysfs_create_group" },
	{ 0xb112efe1, "attribute_container_register" },
	{ 0xa0327bac, "device_add" },
	{ 0x72716e26, "transport_setup_device" },
	{ 0x776d4046, "transport_add_device" },
	{ 0x58087b5c, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x2a8ab731, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x416ce146, "scsi_remove_target" },
	{ 0x91892c7d, "scsi_scan_target" },
	{ 0x66ac2e4c, "netlink_capable" },
	{ 0xb73190ee, "try_module_get" },
	{ 0x66daae28, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xd35d83a7, "netlink_unicast" },
	{ 0x8e8258d8, "skb_pull" },
	{ 0x937a3be2, "trace_event_reg" },
	{ 0xa3930c3b, "trace_event_raw_init" },
	{ 0xdcfc9300, "param_ops_int" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DE0EEF9835D403381308334");
MODULE_INFO(rhelversion, "9.6");
