#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x4dbe70bd, "");
SYMBOL_CRC(is_hsr_master, 0x960a689a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c268c08, "dev_set_mtu" },
	{ 0xba045931, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd048bc7f, "eth_header" },
	{ 0x8014806d, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa5d28a31, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x947905b7, "rtnl_link_register" },
	{ 0xaf11a6a, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x639c8b92, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd44773d, "dev_set_promiscuity" },
	{ 0x4a3617f2, "seq_lseek" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x831df758, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8bbe31f, "unregister_netdevice_queue" },
	{ 0x3278d7af, "netlink_ack" },
	{ 0x3c5ab8d3, "__pskb_copy_fclone" },
	{ 0x8be6b9, "dev_uc_unsync" },
	{ 0xb1feb9b8, "ether_setup" },
	{ 0x3a68f535, "netlink_broadcast_filtered" },
	{ 0xe6ef4371, "netdev_err" },
	{ 0x988a2944, "netdev_upper_dev_link" },
	{ 0x955e394f, "netdev_core_stats_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x409f36ef, "netdev_rx_handler_unregister" },
	{ 0x8fc89024, "eth_header_parse" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0x5f16075d, "skb_copy_expand" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x94ccd77, "__dev_get_by_index" },
	{ 0xd99acc5d, "rtnl_link_unregister" },
	{ 0xf912eef3, "init_net" },
	{ 0x8e8258d8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8e593a11, "mark_tech_preview" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xd35d83a7, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x835f9eda, "dev_get_by_index_rcu" },
	{ 0x3d0711f0, "netdev_printk" },
	{ 0x6a7d3e0b, "skb_push" },
	{ 0x8622d402, "debugfs_remove" },
	{ 0x44cc5f29, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x30d8ab11, "netdev_set_operstate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x475260cc, "__pskb_pull_tail" },
	{ 0xc16b031e, "netif_rx" },
	{ 0x74949472, "__netdev_alloc_skb" },
	{ 0xc3158f9a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x6054f0c1, "seq_read" },
	{ 0xd505b093, "debugfs_rename" },
	{ 0xa79e4b0, "debugfs_create_file" },
	{ 0x2d4b27ef, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8bc174f3, "call_netdevice_notifiers" },
	{ 0xc8f61b2d, "dev_set_allmulti" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee7ad43f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x656eb398, "seq_printf" },
	{ 0xfbdb5f97, "skb_clone" },
	{ 0xff579c23, "netif_carrier_on" },
	{ 0x5a0c85b7, "netdev_rx_handler_register" },
	{ 0x2278711c, "seq_puts" },
	{ 0xa088dcef, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x49aa6f34, "genl_unregister_family" },
	{ 0x4c7001b2, "dev_disable_lro" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0xdf9392d6, "dev_kfree_skb_any_reason" },
	{ 0x194299b, "single_open" },
	{ 0x9861055f, "debugfs_create_dir" },
	{ 0x306de852, "dev_mc_unsync" },
	{ 0x880c0337, "genl_register_family" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0xdc663f99, "netdev_info" },
	{ 0xf8ed2d1, "dev_mc_sync_multiple" },
	{ 0xf796abea, "register_netdevice" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3C2DB2C4FC747AC6D75DF46");
MODULE_INFO(rhelversion, "9.6");
