#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xed321050, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xe3da5bc4, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x6c9becf6, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xd5b919df, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xfd14c073, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xbd3a9ea1, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x7e64c0f6, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xef923676, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x8fe3e971, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x5c57436c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x1c791dbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7c5cfc3b, "register_pernet_subsys" },
	{ 0x656eb398, "seq_printf" },
	{ 0x2278711c, "seq_puts" },
	{ 0x7be6157c, "unregister_pernet_subsys" },
	{ 0x44b1e616, "nf_register_net_hooks" },
	{ 0x114fc7e3, "nf_unregister_net_hooks" },
	{ 0x38fa9e0a, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x6e3b68fd, "__nf_ip6_route" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xeda83864, "xfrm_lookup" },
	{ 0x97059a31, "ip6_local_out" },
	{ 0x475f630e, "skb_ensure_writable" },
	{ 0x4dedbc2, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x475d61e0, "nf_ct_tmpl_alloc" },
	{ 0xe6c5b8ec, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x56e7788c, "proc_create_net_data" },
	{ 0x86004f58, "nf_ct_tmpl_free" },
	{ 0x73693559, "skb_copy_bits" },
	{ 0x5f42e807, "ip_route_me_harder" },
	{ 0x9d6ec281, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0x8014806d, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0xdabd579f, "ipv6_skip_exthdr" },
	{ 0xf5803e93, "nf_ct_seqadj_init" },
	{ 0xf8023c43, "consume_skb" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "6C5B2F4F7E3F6A6980CE897");
MODULE_INFO(rhelversion, "9.6");
