#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x68f3ee51, "");
SYMBOL_CRC(tipc_dump_start, 0xb92ad47d, "");
SYMBOL_CRC(tipc_dump_done, 0x887ac1d3, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xbde037c2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ce487ca, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x687bd771, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd457ef77, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xa8a94149, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x8014806d, "skb_put" },
	{ 0xb008698c, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcd4f9f1c, "ip6_dst_hoplimit" },
	{ 0x839d41c8, "trace_output_call" },
	{ 0xf8023c43, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x29171dcb, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcb3c1edc, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xc44d797e, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf49df05f, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x9876eb9f, "__ip_dev_find" },
	{ 0xe5e9c0a4, "dst_cache_set_ip4" },
	{ 0xe25e9478, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xaf11a6a, "genlmsg_put" },
	{ 0x2f97c13, "___pskb_trim" },
	{ 0xa3930c3b, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xfe1e8141, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x831df758, "netdev_warn" },
	{ 0x15495fc2, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x117c5b12, "crypto_aead_decrypt" },
	{ 0xd2cf4d24, "event_triggers_call" },
	{ 0x72dabf23, "kernel_accept" },
	{ 0x2f534d7f, "__module_get" },
	{ 0xb491f22a, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x3c5ab8d3, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa2efb10f, "pskb_expand_head" },
	{ 0x7c5cfc3b, "register_pernet_subsys" },
	{ 0xa49261f6, "put_cmsg" },
	{ 0xc8c18605, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6f060c4, "trace_event_buffer_commit" },
	{ 0x71400027, "crypto_destroy_tfm" },
	{ 0xc0903b3, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x8a28047b, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x84269bd3, "sock_register" },
	{ 0xe71648e1, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8f3741fe, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1804dc78, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xb0c5306, "skb_try_coalesce" },
	{ 0xadd36e9a, "proto_register" },
	{ 0x5f16075d, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xc10230b7, "skb_queue_tail" },
	{ 0x66daae28, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xa3a0bd69, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x94ccd77, "__dev_get_by_index" },
	{ 0x37352714, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5ca41f13, "__traceiter_sk_data_ready" },
	{ 0xf912eef3, "init_net" },
	{ 0xe92d300c, "ipv6_stub" },
	{ 0x8e8258d8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x7a26dfbe, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xd35d83a7, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf78ee894, "dev_remove_pack" },
	{ 0x630310f6, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdda9ca5e, "kernel_sock_shutdown" },
	{ 0x5a87efa5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x6a7d3e0b, "skb_push" },
	{ 0x24ec0b37, "dst_cache_get" },
	{ 0x88bf551f, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x937a3be2, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7a45de9f, "iov_iter_kvec" },
	{ 0x251b24ad, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbe226847, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x7936b86c, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x10444ee3, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x23ed6edb, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x7be6157c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x1f6d04b8, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xd44bc3a7, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x4f77eddb, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x475260cc, "__pskb_pull_tail" },
	{ 0xf9808051, "sock_no_sendpage" },
	{ 0xc16b031e, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xc545c31c, "setup_udp_tunnel_sock" },
	{ 0xe6385786, "udp_sock_create6" },
	{ 0xc3158f9a, "skb_trim" },
	{ 0x86728970, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x164112f0, "bpf_trace_run3" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd750e2ea, "sock_rfree" },
	{ 0x33f12a56, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x14b9a6bd, "kernel_listen" },
	{ 0x2d4b27ef, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x201d75bb, "trace_event_buffer_reserve" },
	{ 0x7a1799d9, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x396c77a4, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5021d17b, "dst_cache_set_ip6" },
	{ 0x859c07ca, "pskb_put" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda59548c, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x67b6aacf, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xeab2c52c, "skb_copy" },
	{ 0xfbdb5f97, "skb_clone" },
	{ 0xa28496a2, "dev_get_by_name" },
	{ 0x9fbcda61, "_copy_from_iter" },
	{ 0xfbd8307, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xd1570fd8, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x33d697f2, "sk_stop_timer" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x49aa6f34, "genl_unregister_family" },
	{ 0x81025742, "from_kuid_munged" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x1a175e67, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x880c0337, "genl_register_family" },
	{ 0x956507c7, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x800cef1e, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb9988100, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x94e4bf85, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0x546b0f9b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C5E6AF2762FC8593FBF22B6");
MODULE_INFO(rhelversion, "9.6");
