#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x220b69d0, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x43037771, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x702dd433, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x422b9aef, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xd3a14f75, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xe06274a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f16918f, "netlink_strict_get_check" },
	{ 0x5763f0a5, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa8a94149, "__nlmsg_put" },
	{ 0x573d902e, "skb_gso_validate_network_len" },
	{ 0xb008698c, "register_net_sysctl" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf8023c43, "consume_skb" },
	{ 0x29171dcb, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x76279a39, "neigh_xmit" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb491f22a, "ip_route_output_flow" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa2efb10f, "pskb_expand_head" },
	{ 0x7c5cfc3b, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x920b732, "rtnl_af_register" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0xe36d450f, "rtnl_set_sk_err" },
	{ 0xa67bdd54, "rtnl_unicast" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0xfed67de0, "ip_valid_fib_dump_req" },
	{ 0x94ccd77, "__dev_get_by_index" },
	{ 0xe92d300c, "ipv6_stub" },
	{ 0x8e8258d8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xced71e2a, "nla_reserve_nohdr" },
	{ 0x237919ba, "rtnl_af_unregister" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xf78ee894, "dev_remove_pack" },
	{ 0xc2ae37ea, "dev_get_by_index" },
	{ 0x6a7d3e0b, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0xf1c7d471, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7e0cd005, "rtnl_register_module" },
	{ 0xb5eed7b4, "ip_tunnel_encap_del_ops" },
	{ 0x7be6157c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x475260cc, "__pskb_pull_tail" },
	{ 0xc3158f9a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6605029b, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfbdb5f97, "skb_clone" },
	{ 0xc3ef40f8, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0xdbdec0c6, "dev_get_flags" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "2B1D22395F14FB2533DF662");
MODULE_INFO(rhelversion, "9.6");
