#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x1aad1c2f, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x615f9799, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xa3d1f1c1, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x0e608797, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x28f5620c, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xf225c666, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x84852d61, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x48543a1f, "");
SYMBOL_CRC(ip_vs_conn_put, 0xf6dc0e34, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x9a260efe, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x804fdfb7, "");
SYMBOL_CRC(register_ip_vs_app, 0x67e1c647, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xacba743f, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x5300f6ae, "");
SYMBOL_CRC(ip_vs_proto_get, 0x7b640aea, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x78461f0e, "");
SYMBOL_CRC(register_ip_vs_pe, 0x6c849234, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x3dbb6d33, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x4e015fc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6c5b8ec, "nf_ct_ext_add" },
	{ 0x7249de84, "nf_conntrack_find_get" },
	{ 0xb73190ee, "try_module_get" },
	{ 0x2e32fdc, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8db4c86, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6f71fec5, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x73693559, "skb_copy_bits" },
	{ 0xeda83864, "xfrm_lookup" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0xb008698c, "register_net_sysctl" },
	{ 0xf8023c43, "consume_skb" },
	{ 0x97059a31, "ip6_local_out" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xa55973d, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xc71bac61, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2111a3b6, "kernel_bind" },
	{ 0xaf11a6a, "genlmsg_put" },
	{ 0x208244eb, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4c382032, "ip6_route_me_harder" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2f534d7f, "__module_get" },
	{ 0xb491f22a, "ip_route_output_flow" },
	{ 0x2a48c42, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x966cd977, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x13463156, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x56e7788c, "proc_create_net_data" },
	{ 0xa2efb10f, "pskb_expand_head" },
	{ 0x7c5cfc3b, "register_pernet_subsys" },
	{ 0xff237440, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8e578f07, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x44b1e616, "nf_register_net_hooks" },
	{ 0x83520bb6, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xab36846b, "__alloc_skb" },
	{ 0x6ff7d8e7, "kmem_cache_alloc" },
	{ 0x3aae1875, "ipv6_sock_mc_join" },
	{ 0x66daae28, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe452980c, "ipv6_dev_get_saddr" },
	{ 0xf14b0b8f, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf912eef3, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x4abf780e, "sk_skb_reason_drop" },
	{ 0xd35d83a7, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb715d201, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x805322d9, "nf_conntrack_alter_reply" },
	{ 0x5f42e807, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6a7d3e0b, "skb_push" },
	{ 0xf3d910dc, "kmem_cache_free" },
	{ 0x513b6f17, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0xdb2c40d3, "nf_ct_expect_alloc" },
	{ 0x475f630e, "skb_ensure_writable" },
	{ 0x7a45de9f, "iov_iter_kvec" },
	{ 0x251b24ad, "ip_mc_join_group" },
	{ 0xf42161c2, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd133136a, "ns_capable" },
	{ 0x114fc7e3, "nf_unregister_net_hooks" },
	{ 0x4997a510, "inet_select_addr" },
	{ 0xbe226847, "unregister_pernet_device" },
	{ 0x7936b86c, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8fae8cf, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70974128, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xfc04e8e9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7be6157c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x79e88569, "kernel_connect" },
	{ 0x2cbede3f, "skb_checksum" },
	{ 0xc8a40482, "ip_defrag" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x475260cc, "__pskb_pull_tail" },
	{ 0x99d295bc, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc3158f9a, "skb_trim" },
	{ 0x2b213467, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c2555d1, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x66d81c0e, "nf_ct_deliver_cached_events" },
	{ 0x8b37b7e7, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6180fa63, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2db0851a, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x4b59f026, "skb_set_owner_w" },
	{ 0x1b2a939d, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x396c77a4, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x13fa8ec2, "init_user_ns" },
	{ 0xcc8feda4, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38fa9e0a, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x656eb398, "seq_printf" },
	{ 0x67b6aacf, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb23445fb, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xaefe747f, "ipv4_update_pmtu" },
	{ 0x22512c9d, "nf_defrag_ipv6_enable" },
	{ 0xc3ef40f8, "dst_release" },
	{ 0xfbd8307, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x2278711c, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x9d6ec281, "ip_local_out" },
	{ 0x49aa6f34, "genl_unregister_family" },
	{ 0x8393043, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdcdca86a, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xdcfc9300, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x880c0337, "genl_register_family" },
	{ 0x956507c7, "kernel_sendmsg" },
	{ 0x4c67eea1, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb9988100, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xf6d074a7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9e24b39, "kmem_cache_destroy" },
	{ 0x546b0f9b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xd3b48b17, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "784E1E33F2A07EA774F0FB5");
MODULE_INFO(rhelversion, "9.6");
